#include "aboutwidget.h"


// ------------------------------------------------------------
// AboutWidget::AboutWidget
// ------------------------------------------------------------
AboutWidget::AboutWidget(QWidget* parent, const char* name) : QWidget(parent, name)
{
	grid = new QGridLayout(this, 2, 1, 0, 10);

	lbLogo = new QLabel("", this);
	QString about = "aKpi - QT/KDE acpi frontend\n";
	about += "(c) 2002, 2003, Thomas Winkler\n";
	about += "Toshiba Addons: David B. Banas\n";
	about += "http://akpi.scmd.at\n";
	about += "Version: ";
	about += VERSION;
	about += "\n";
	about += "License: GPL";
	lbText = new QLabel(about, this);
	lbText -> setAlignment(AlignHCenter);
	pxLogo = new QPixmap(tools::getImgPath() + AKPI_IMG);
	lbLogo->setPixmap(*pxLogo);
	lbLogo->adjustSize();

	grid->addWidget(lbLogo, 0, 0, AlignHCenter | AlignBottom);
	grid->addWidget(lbText, 1, 0, AlignHCenter | AlignTop);
  	
	adjustSize();
}


// ------------------------------------------------------------
// AboutWidget::~AboutWidget
// ------------------------------------------------------------
AboutWidget::~AboutWidget()
{
	delete pxLogo;
	delete lbLogo;
	delete lbText;
	delete grid;
}
