#ifndef ACPIACADAPTER_H

	#define ACPIACADAPTER_H

	#include <qstring.h>
	#include <qmap.h>
	#include <qobject.h>
	#include <qlistview.h>
	#include <qlabel.h>

	#include <cstdlib>

	#include "settings.h"
	#include "acpibase.h"
	#include "acpidata.h"
	#include "acpilist.h"

	class AcpiACAdapter : public AcpiBase {

		Q_OBJECT

		private:
			QLabel* lbACPower, *lbACState;

		protected:

		public:
			AcpiACAdapter(AcpiList* list, QWidget* wparent, QListViewItem* lvparent);
			~AcpiACAdapter();
			void emitSignals();
			void updateGUI();

		signals:
			void sgnOnline(bool online);

		public slots:

	};

#endif // ACPIACADAPTER_H


