
/***************************************************************************
 *                    aKpi - a QT/KDE acpi frontend                        *
 *                                                                         *
 *   file:              acpilist.h                                         *
 *   copyright:         (c) 2002 by Tom Winkler                            *
 *   email:             akpi@aon.at                                        *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ACPILIST_H

	#define ACPILIST_H

	#include <qptrlist.h>

	#include "settings.h"


	class AcpiList {

		private:
  	
		protected:

		public:
			AcpiList() { };
			~AcpiList() { };
			QList<AcpiBase> listThermal;
			QList<AcpiBase> listProcessor;
			QList<AcpiBase> listACAdapter;
			QList<AcpiBase> listBattery;
			QList<AcpiBase> listNode;
			QList<AcpiBase> listToshiba;
	};

#endif // ACPILIST_H





