#include "mainwidget.h"


// ------------------------------------------------------------
// MainWidget::MainWidget
// ------------------------------------------------------------
MainWidget::MainWidget(QWidget* parent, const char* name) : QWidget(parent, name)
{
	rows = 0;
	cols = 0;
	grid = new QGridLayout(this, rows, cols, 5, 5);
	adjustSize();
}


// ------------------------------------------------------------
// MainWidget::~MainWidget
// ------------------------------------------------------------
MainWidget::~MainWidget()
{
	delete grid;
}


// ------------------------------------------------------------
// MainWidget::addWidget
// ------------------------------------------------------------
void MainWidget::addWidget(QWidget* widget)
{
	grid->setRowStretch(rows, 0);
	grid->addWidget(widget, rows, cols, AlignTop | AlignLeft);
	grid->expand(++rows, cols);
	grid->setRowStretch(rows, 100);
}

