
/***************************************************************************
 *                      aKpi - a KDE acpi frontend                         *
 *                                                                         *
 *   file:              tools.h                                            *
 *   copyright:         (c) 2002 by Tom Winkler                            *
 *   email:             akpi@wnk.at                                *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef TOOLS_H

	#define TOOLS_H

	#include <iostream>
	#include <cstdlib>
	#include <sys/types.h>
	#include <sys/wait.h>
	#include <unistd.h>
	#include <err.h>

	#include <qstring.h>
	#include <qmap.h>
	#include <qfile.h>
	#include <qdir.h>

	#include <kstandarddirs.h>

	#include "configfile.h"
	#include "settings.h"

	namespace tools {
		QString getCfgFile();
		bool validPaths();
		void createCfgFile();
		char* itoa(int number);
		QString bool2str(bool bVal);
		bool str2bool(QString sVal);
		void execProg(int argc, char *argv[]);
		QString getDataPath();
		QString getImgPath();
	}

#endif // TOOLS_H
