
#include "acpiprocessor.h"


// ------------------------------------------------------------
// AcpiProcessor::AcpiProcessor
// ------------------------------------------------------------
AcpiProcessor::AcpiProcessor(AcpiList* list, QWidget* wparent, QListViewItem* lvparent) : AcpiBase(list, wparent, lvparent)
{
	this->list->listProcessor.append(this);
	name = "AcpiProcessor";
	pollType = processor;

	QMap <QString, bool> info;
	info.insert("processor id", false);
	info.insert("acpi id", false);
	info.insert("bus mastering control", false);
	info.insert("power management", false);	
	info.insert("throttling control", false);
	info.insert("performance management", false);
	info.insert("limit interface", false);
	knownFiles.insert("info" , info);
}


// ------------------------------------------------------------
// AcpiProcessor::~AcpiProcessor
// ------------------------------------------------------------
AcpiProcessor::~AcpiProcessor()
{

}

