#ifndef ACPITHERMAL_H

	#define ACPITHERMAL_H

	#include <qstring.h>
	#include <qmap.h>
	#include <qobject.h>
	#include <qlistview.h>
	#include <qlabel.h>

	#include <cstdlib>

	#include "settings.h"
	#include "acpibase.h"
	#include "acpidata.h"
	#include "acpilist.h"

	class AcpiThermal : public AcpiBase {

		Q_OBJECT

		private:
			QLabel* lbThermal, *lbTemp;
			int number;

		protected:

		public:
			AcpiThermal(AcpiList* list, QWidget* wparent, QListViewItem* lvparent);
			~AcpiThermal();
			void emitSignals();
			void updateGUI();

		signals:

		public slots:

	};

#endif // ACPITHERMAL_H


